{% load sitetree %}
{% load render_bundle from webpack_loader %}
{% load static %}
{% load i18n %}

<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">

  <link rel="stylesheet" href="/static/webpack_bundles/css/style.css">
  <link rel="shortcut icon" type="image/png" href="{% static 'favicon.ico' %}"/>

  {% render_bundle 'main' %}
  <title>
    {% block title %}
    Untitled
    {% endblock %}
    | A&ndash;Eskwadraat
  </title>
  {% block head %}
  {% endblock%}
</head>

<body>
  {% block scripts_preload %}
  {% endblock %}

  <nav class="navbar has-shadow" role="navigation" aria-label="main navigation">

    <!-- The Brand part of the nav bar -->
    <div class="navbar-brand">
      <a class="navbar-item" href="/home">
        <img src="{% static "img/logos/wiggle-red.png" %}" height="28">
      </a>

      <a role="button" class="navbar-burger burger" aria-label="menu" aria-expanded="false" data-target="navbar">
        <span aria-hidden="true"></span>
        <span aria-hidden="true"></span>
        <span aria-hidden="true"></span>
      </a>
    </div>

    <div id="navbar" class="navbar-menu">

      <!-- The left side of the nav bar -->
      {% sitetree_menu from "maintree" include "trunk" template "menu.html" %}

      <!-- The right side of the nav bar -->
      {% include "personal_menu.html" %}

    </div>
  </nav>

  <div style="background: url({% static "img/logos/Background-2.png"%}); background-size: cover;">
    <section class="section banner-title">
      <div class="container">
        {% block banner %}
        {% endblock %}
      </div> 
    </section>
  </div>
  
  <section class="section">
    <div class="container">
      {% block body %}
      {% endblock %}
    </div>
  </section>

  {% block scripts_postload %}
    <script>
      addMobileMenuToggleEventListener();
    </script>
  {% endblock %}
</body>

</html>
